Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.ibeans.spi
Class MuleMockCallAnnotationHandler

    java.lang.Object
      org.mule.module.ibeans.spi.MuleCallAnnotationHandler
          org.mule.module.ibeans.spi.MuleMockCallAnnotationHandler

All Implemented Interfaces:
  org.ibeans.api.ClientAnnotationHandler, org.ibeans.impl.test.MockIBean

    public class MuleMockCallAnnotationHandler

extends MuleCallAnnotationHandler
implements org.ibeans.impl.test.MockIBean

A handler for supporting the `MockIntegrationBean` annotation. This implementation uses Mockito to mock out the call itself. Mockito can be used in tests to supply response data.

Field Summary

Fields inherited from class org.mule.module.ibeans.spi.MuleCallAnnotationHandler
`DEFAULT_METHOD_NAME_TOKEN, logger, routers`

Constructor Summary
`MuleMockCallAnnotationHandler(MuleContext muleContext, Object mock, org.ibeans.spi.IBeansPlugin plugin)`

Method Summary
`String` | `getScheme(Method method)`
`Set<DataSource>` | `ibeanAttachments()`
`Object` | `ibeanHeaderParam(String name)`
`Object` | `ibeanPayloadParam(String name)`
`List<Object>` | `ibeanPayloads()`
`Object` | `ibeanPropertyParam(String name)`
`org.ibeans.api.DataType` | `ibeanReturnType()`
`void` | `ibeanSetMessageCallback(org.ibeans.impl.test.MockMessageCallback callback)`
`void` | `ibeanSetMimeType(org.ibeans.api.channel.MimeType mime)`
`Object` | `ibeanUriParam(String name)`
`org.ibeans.api.Response` | `invoke(org.ibeans.api.InvocationContext ctx)`

Methods inherited from class org.mule.module.ibeans.spi.MuleCallAnnotationHandler
`addRouterForInterface, setFlow`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MuleMockCallAnnotationHandler

    public MuleMockCallAnnotationHandler(MuleContext muleContext,
                                         Object mock,
                                         org.ibeans.spi.IBeansPlugin plugin)

Method Detail

### invoke

    public org.ibeans.api.Response invoke(org.ibeans.api.InvocationContext ctx)
                                   throws Exception

  Specified by:
    `invoke` in interface `org.ibeans.api.ClientAnnotationHandler`
  Overrides:
    `invoke` in class `MuleCallAnnotationHandler`
  Throws:
    `Exception`

### getScheme

    public String getScheme(Method method)

  Specified by:
    `getScheme` in interface `org.ibeans.api.ClientAnnotationHandler`
  Overrides:
    `getScheme` in class `MuleCallAnnotationHandler`

### ibeanSetMimeType

    public void ibeanSetMimeType(org.ibeans.api.channel.MimeType mime)
                          throws MimeTypeParseException

  Specified by:
    `ibeanSetMimeType` in interface `org.ibeans.impl.test.MockIBean`
  Throws:
    `MimeTypeParseException`

### ibeanReturnType

    public org.ibeans.api.DataType ibeanReturnType()

  Specified by:
    `ibeanReturnType` in interface `org.ibeans.impl.test.MockIBean`

### ibeanUriParam

    public Object ibeanUriParam(String name)

  Specified by:
    `ibeanUriParam` in interface `org.ibeans.impl.test.MockIBean`

### ibeanHeaderParam

    public Object ibeanHeaderParam(String name)

  Specified by:
    `ibeanHeaderParam` in interface `org.ibeans.impl.test.MockIBean`

### ibeanPropertyParam

    public Object ibeanPropertyParam(String name)

  Specified by:
    `ibeanPropertyParam` in interface `org.ibeans.impl.test.MockIBean`

### ibeanPayloadParam

    public Object ibeanPayloadParam(String name)

  Specified by:
    `ibeanPayloadParam` in interface `org.ibeans.impl.test.MockIBean`

### ibeanPayloads

    public List<Object> ibeanPayloads()

  Specified by:
    `ibeanPayloads` in interface `org.ibeans.impl.test.MockIBean`

### ibeanAttachments

    public Set<DataSource> ibeanAttachments()

  Specified by:
    `ibeanAttachments` in interface `org.ibeans.impl.test.MockIBean`

### ibeanSetMessageCallback

    public void ibeanSetMessageCallback(org.ibeans.impl.test.MockMessageCallback callback)

  Specified by:
    `ibeanSetMessageCallback` in interface `org.ibeans.impl.test.MockIBean`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.